=== added directory 'account_move_sum_all_credits_debits'
=== added file 'account_move_sum_all_credits_debits/__init__.py'
--- account_move_sum_all_credits_debits/__init__.py	1970-01-01 00:00:00 +0000
+++ account_move_sum_all_credits_debits/__init__.py	2012-09-26 23:11:02 +0000
@@ -0,0 +1,26 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com
+#    All Rights Reserved.
+#    info@vauxoo.com
+############################################################################
+#    Coded by: fernandoL (fernando_ld@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+import account
\ No newline at end of file

=== added file 'account_move_sum_all_credits_debits/__openerp__.py'
--- account_move_sum_all_credits_debits/__openerp__.py	1970-01-01 00:00:00 +0000
+++ account_move_sum_all_credits_debits/__openerp__.py	2012-09-26 23:11:02 +0000
@@ -0,0 +1,45 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com
+#    All Rights Reserved.
+#    info@vauxoo.com
+############################################################################
+#    Coded by: fernandoL (fernando_ld@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name": "Account move sum all credits debits",
+    "version": "1.0",
+    "author" : "Vauxoo",
+    "category": "Generic Modules/Production",
+    "website" : "http://www.vauxoo.com/",
+    "description": """ Add two function fields to sum all of the credits and
+    debits of the account move lines
+    """,
+    'depends': ['account'],
+    'init_xml': [],
+    'update_xml': [
+        'account_view.xml',
+        ],
+    'demo_xml': [],
+    'test': [],
+    'installable': True,
+    'active': False,
+}
\ No newline at end of file

=== added file 'account_move_sum_all_credits_debits/account.py'
--- account_move_sum_all_credits_debits/account.py	1970-01-01 00:00:00 +0000
+++ account_move_sum_all_credits_debits/account.py	2012-09-26 23:11:02 +0000
@@ -0,0 +1,60 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com
+#    All Rights Reserved.
+#    info@vauxoo.com
+############################################################################
+#    Coded by: fernandoL (fernando_ld@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from tools.translate import _
+from osv import osv, fields
+import decimal_precision as dp
+
+class account_move(osv.osv):
+    _inherit = "account.move"
+    
+    """equivalent query that get these fields ---
+    select sum(credit) from account_move_line
+    select sum(debit) from account_move_line
+    """
+    
+    def _sum_credit(self, cr, uid, ids, field, arg, context=None):
+        cr.execute("select sum(credit) from account_move_line")
+        suma = cr.fetchone()
+        dict = {}
+        for line in ids:
+            dict[line] = suma[0]
+        return dict
+    
+    def _sum_debit(self, cr, uid, ids, field, arg, context=None):
+        cr.execute("select sum(debit) from account_move_line")
+        suma = cr.fetchone()
+        dict = {}
+        for line in ids:
+            dict[line] = suma[0]
+        return dict
+    
+    _columns = {
+        'total_debit': fields.function(_sum_debit, string='Total debit', method=True, digits_compute=dp.get_precision('Account'), type='float'),
+        'total_credit': fields.function(_sum_credit, string='Total credit', method=True, digits_compute=dp.get_precision('Account'), type='float'),
+    }
+
+account_move()
\ No newline at end of file

=== added file 'account_move_sum_all_credits_debits/account_view.xml'
--- account_move_sum_all_credits_debits/account_view.xml	1970-01-01 00:00:00 +0000
+++ account_move_sum_all_credits_debits/account_view.xml	2012-09-26 23:11:02 +0000
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+<!--
+	Adding the fields to the parent account move view
+-->
+        <record id="account_move_sum_all_credits_debits_form" model="ir.ui.view">
+            <field name="name">account.move.sum.all.credits.debits.form</field>
+            <field name="model">account.move</field>
+	    <field name="inherit_id" ref="account.view_move_form" />
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <xpath expr="/form/group/field[@name='date']" position="after">
+			<field name="total_debit"/>
+			<field name="total_credit"/>
+                </xpath>
+            </field>
+        </record>
+
+<!--
+	View of wizard on stock.picking
+-->
+	
+    </data>
+</openerp>

